<?xml version="1.0" encoding="UTF-8"?>

<!-- This file is part of Shapes.                                           -->
<!--                                                                        -->
<!-- Shapes is free software: you can redistribute it and/or modify         -->
<!-- it under the terms of the GNU General Public License as published by   -->
<!-- the Free Software Foundation, either version 3 of the License, or      -->
<!-- any later version.                                                     -->
<!--                                                                        -->
<!-- Shapes is distributed in the hope that it will be useful,              -->
<!-- but WITHOUT ANY WARRANTY; without even the implied warranty of         -->
<!-- MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the          -->
<!-- GNU General Public License for more details.                           -->
<!--                                                                        -->
<!-- You should have received a copy of the GNU General Public License      -->
<!-- along with Shapes.  If not, see <http://www.gnu.org/licenses/>.        -->
<!--                                                                        -->
<!-- Copyright 2008, 2014 Henrik Tidefelt                                   -->

<xsl:stylesheet
  version="2.0"
  xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
  xmlns="http://www.w3.org/1999/xhtml"
>
<xsl:output method="xml" indent="no"
 doctype-system="http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd"
 doctype-public="-//W3C//DTD XHTML 1.0 Strict//EN"
/>

<xsl:template match="exampleswitch[@onclick]">
  <xsl:element name="div">
    <xsl:attribute name="style">display:inline;</xsl:attribute>
    <xsl:attribute name="onclick"><xsl:value-of select="@onclick" /></xsl:attribute>
    <span class="exampleswitch"><xsl:apply-templates/></span>
  </xsl:element>
</xsl:template>
<xsl:template match="example-with-output[@*]">
	<div class="p">
		<table class="codefile">
			<tr><th colspan="3">
					<xsl:choose>
						<xsl:when test="@id" >
							<xsl:element name="a">
								<xsl:attribute name="name"><xsl:call-template name="id-to-anchor-name"><xsl:with-param name="id"><xsl:value-of select="@id" /></xsl:with-param></xsl:call-template></xsl:attribute>
								<xsl:value-of select="@title" />
							</xsl:element>
						</xsl:when>
						<xsl:otherwise>
							<xsl:value-of select="@title" />
						</xsl:otherwise>
					</xsl:choose>
			</th></tr>
			<xsl:apply-templates select="image" />
			<xsl:apply-templates select="caption" />
			<xsl:apply-templates select="source" />
			<xsl:apply-templates select="stdout" />
		</table>
	</div>
</xsl:template>
<xsl:template match="example-with-output/image[@*]">
  <tr align="center"><td>
      <xsl:element name="a">
				<xsl:attribute name="href"><xsl:value-of select="/book/base/@href" /><xsl:value-of select="/book/examples-home/@href" /><xsl:value-of select="iri-to-uri(replace(@pdf,'%','%25'))" /></xsl:attribute>
				<xsl:element name="img">
					<xsl:attribute name="src"><xsl:value-of select="/book/base/@href" /><xsl:value-of select="/book/examples-home/@href" /><xsl:value-of select="iri-to-uri(replace(@jpg,'%','%25'))" /></xsl:attribute>
					<xsl:attribute name="alt">Angry</xsl:attribute>
				</xsl:element>
      </xsl:element>
  </td></tr>
</xsl:template>
<xsl:template match="example-with-output/caption">
  <tr><td class="here-caption">
		<xsl:apply-templates />
  </td></tr>
</xsl:template>
<xsl:template match="example-with-output/source[@file]">
  <tr><td><hr /></td></tr>
  <tr align="center"><td><xsl:text>Source: </xsl:text>
      <xsl:element name="span">
				<xsl:attribute name="class">exampleswitch</xsl:attribute>
				<xsl:attribute name="onclick">if(document.getElementById(&apos;<xsl:value-of select="../@internal-id" />-src&apos;).style.display=='none'){document.getElementById(&apos;<xsl:value-of select="../@internal-id" />-src&apos;).style.display='inline'}else{document.getElementById(&apos;<xsl:value-of select="../@internal-id" />-src&apos;).style.display='none'}</xsl:attribute>
				show/hide
      </xsl:element>
      <xsl:text>— </xsl:text>
      <xsl:element name="a">
				<xsl:attribute name="href"><xsl:value-of select="/book/base/@href" /><xsl:value-of select="/book/examples-home/@href" /><xsl:value-of select="@file" /></xsl:attribute>
				visit
      </xsl:element>
  </td></tr>
  <xsl:element name="tr">
    <xsl:attribute name="id"><xsl:value-of select="../@internal-id" />-src</xsl:attribute>
    <xsl:attribute name="style">display:none;</xsl:attribute>
    <td>
      <pre>
	<xsl:apply-templates/>
      </pre>
    </td>
  </xsl:element>
</xsl:template>
<xsl:template match="example-with-output/stdout">
  <tr><td><hr /></td></tr>
  <tr align="center"><td><xsl:text>stdout: </xsl:text>
      <xsl:element name="span">
				<xsl:attribute name="class">exampleswitch</xsl:attribute>
	<xsl:attribute name="onclick">if(document.getElementById(&apos;<xsl:value-of select="../@internal-id" />-stdout&apos;).style.display=='none'){document.getElementById(&apos;<xsl:value-of select="../@internal-id" />-stdout&apos;).style.display='inline'}else{document.getElementById(&apos;<xsl:value-of select="../@internal-id" />-stdout&apos;).style.display='none'}</xsl:attribute>
	show/hide
      </xsl:element>
  </td></tr>
  <xsl:element name="tr">
    <xsl:attribute name="id"><xsl:value-of select="../@internal-id" />-stdout</xsl:attribute>
    <xsl:attribute name="style">display:none;</xsl:attribute>
    <td>
      <pre>
	<xsl:apply-templates/>
      </pre>
    </td>
  </xsl:element>
</xsl:template>

</xsl:stylesheet>
